using System;
using System.Threading;
using System.Collections.Generic;
using System.Text;

namespace Localization
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine(ApplicationText.Welcome);

            Thread.CurrentThread.CurrentUICulture =
              new System.Globalization.CultureInfo("fr-CA");
            Console.WriteLine(ApplicationText.Welcome);

            // wyświetla wyrażenie "weekend" w języku francuskim (kanadyjskim)
            Console.WriteLine(ApplicationText.weekend);

            // wyświetla wyrażenie "weekend" w języku francuskim (neutralym)
            // ponieważ w aplikacji nie ma zlokalizowanego zasobu dla fr-BE
            // zostało to sprowadzone do języka neutralnego francuskiego
            Thread.CurrentThread.CurrentUICulture =
              new System.Globalization.CultureInfo("fr-BE");
            Console.WriteLine(ApplicationText.weekend);

            // wyświetla wyrażenie "weekend" w języku neutralnym (domyślnym)
            // ponieważ nie ma zlokalizowanych zasobów dla hi-IN
            Thread.CurrentThread.CurrentUICulture =
              new System.Globalization.CultureInfo("hi-IN");
            Console.WriteLine(ApplicationText.weekend);

            Console.ReadLine();
        }
    }
}
